#include <stdlib.h>
#include <time.h>
#include "SortedList.h"

int main(void)
{
	SortedList list;
	int i = 0;

	initList(&list);

	srand((unsigned int)time(NULL));

	// Insert some random data
	for (i = 0; i < 100; i++)
	{
		insertData(&list, rand() % 100);
	}

	// Delete some values
	deleteData(&list, 10);
	deleteData(&list, 0);
	
	for (i = 0; i < 10; i++) {
		deleteMin(&list);
		deleteMax(&list);
	}


	// Access some data
	for (i = 0; i < 10; i++) {
		ListNode *node = accessNode(&list, i);
		if (node)
			fprintf(stdout, "Value at position %d: "PRINT_MODIFIER"\n", i, node->data);
	}

	// Find some nodes
	for (i = 0; i < 20; i++) {
		if (findNode(&list, i) != NULL)
			fprintf(stdout, "Value "PRINT_MODIFIER" found!\n", i);
	}

	// Print the list
	printList(&list);
	fprintf(stdout, "\n");

	// Clear the list
	clearList(&list);

	return 0;
}